net.ME1312.SubServers.Client.Bukkit.Graphic

## Class UIRenderer

- java.lang.Object
- - net.ME1312.SubServers.Client.Bukkit.Graphic.UIRenderer

    public class UIRenderer
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `UIRenderer.CreatorOptions`
`static class` `UIRenderer.Options`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `addHostPlugin(java.lang.String handle, Renderer renderer)` Add Host Plugin
`static void` `addSubServerPlugin(java.lang.String handle, Renderer renderer)` Add SubServer Plugin
`void` `back()` Reopens the previous window
`void` `clearHistory()` Clears the Window History
`boolean` `hasHistory()` If there is any Window History
`void` `hostAdmin(java.lang.String host)` Opens Host/<name>
`void` `hostCreator(UIRenderer.CreatorOptions options)` Opens Host/<name>/Create
`void` `hostMenu(java.lang.Integer page)` Opens the Host Menu
`void` `hostPlugin(java.lang.Integer page, java.lang.String host)` Opens Host/<name>/Plugins
`void` `newUI()` Opens a new window
`void` `reopen()` Reopens the current window
`boolean` `sendTitle(java.lang.String str)` Attempt to send a Title Message
`boolean` `sendTitle(java.lang.String str, int stay)` Attempt to send a Title Message
`boolean` `sendTitle(java.lang.String str, int fadein, int stay, int fadeout)` Attempt to send a Title Message
`void` `setDownloading(java.lang.String subtitle)` Shows/Hides the Downloading Title Message
`void` `subserverAdmin(java.lang.String subserver)` Opens SubServer/<name>
`void` `subserverMenu(java.lang.Integer page, java.lang.String host)` Opens the SubServer Menu
`void` `subserverPlugin(java.lang.Integer page, java.lang.String subserver)` Opens SubServer/<name>/Plugins

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### newUI

    public void newUI()

Opens a new window

#### clearHistory

    public void clearHistory()

Clears the Window History

#### hasHistory

    public boolean hasHistory()

If there is any Window History

Returns:
  Window History Status

#### reopen

    public void reopen()

Reopens the current window

#### back

    public void back()

Reopens the previous window

#### sendTitle

    public boolean sendTitle(java.lang.String str)

Attempt to send a Title Message

Parameters:
  `str` - Message
Returns:
  Success Status

#### sendTitle

    public boolean sendTitle(java.lang.String str,
                             int stay)

Attempt to send a Title Message

Parameters:
  `str` - Message
  `stay` - How long the message should stay
Returns:
  Success Status

#### sendTitle

    public boolean sendTitle(java.lang.String str,
                             int fadein,
                             int stay,
                             int fadeout)

Attempt to send a Title Message

Parameters:
  `str` - Message
  `fadein` - FadeIn Transition length
  `stay` - How long the message should stay
  `fadeout` - FadeOut Transition length
Returns:
  Success Status

#### setDownloading

    public void setDownloading(java.lang.String subtitle)

Shows/Hides the Downloading Title Message

Parameters:
  `subtitle` - Subtitle to display (or null to hide)

#### addHostPlugin

    public static void addHostPlugin(java.lang.String handle,
                                     Renderer renderer)

Add Host Plugin

Parameters:
  `handle` - Handle to bind
  `renderer` - Renderer

#### addSubServerPlugin

    public static void addSubServerPlugin(java.lang.String handle,
                                          Renderer renderer)

Add SubServer Plugin

Parameters:
  `handle` - Handle to bind
  `renderer` - Renderer

#### hostMenu

    public void hostMenu(java.lang.Integer page)

Opens the Host Menu

Parameters:
  `page` - Page Number (starting from page 1)

#### hostAdmin

    public void hostAdmin(java.lang.String host)

Opens Host/<name>

Parameters:
  `host` - Host Name

#### hostCreator

    public void hostCreator(UIRenderer.CreatorOptions options)

Opens Host/<name>/Create

Parameters:
  `options` - Creator Options

#### hostPlugin

    public void hostPlugin(java.lang.Integer page,
                           java.lang.String host)

Opens Host/<name>/Plugins

Parameters:
  `host` - Host Name

#### subserverMenu

    public void subserverMenu(java.lang.Integer page,
                              java.lang.String host)

Opens the SubServer Menu

Parameters:
  `page` - Page Number (starting from page 1)
  `host` - Host Name (or null to scan all hosts)

#### subserverAdmin

    public void subserverAdmin(java.lang.String subserver)

Opens SubServer/<name>

Parameters:
  `subserver` - SubServer Name

#### subserverPlugin

    public void subserverPlugin(java.lang.Integer page,
                                java.lang.String subserver)

Opens SubServer/<name>/Plugins

Parameters:
  `subserver` - SubServer Name